DEBCONF.ES.1(1)

NOMBRE
debconf - Ejecuta un programa que hace uso de debconf

SINOPSIS
 debconf [opciones] orden [argumentos]

DESCRIPCIÓN
Debconf es un sistema de configuración para paquetes de Debian. Consulte debconf(7) (en el paquete debconf-doc) para una visión general de debconf y la documentación para administradores de sistemas.

El programa debconf ejecuta un programa bajo el control de debconf, haciendo que se comunique con debconf por la entrada y salida estándar. Se espera que la salida del programa sean órdenes del protocolo de debconf, y también que lea los códigos resultantes por la entrada estándar. Para más detalles acerca del protocolo de debconf consulte debconf-devel(7).

La orden a ejecutar bajo debconf debe estar definida de manera que esté incluida dentro de la variable «PATH».

Esta orden no es la forma habitual de uso de debconf. Es más habitual interactuar con debconf a través de dpkg-preconfigure(8) o dpkg-reconfigure(8).

OPCIONES

-opaquete, --owner=paquete
    Informa a debconf del paquete al que pertenece la orden que está ejecutando. Es necesario para obtener adecuadamente el propietario de las preguntas registradas, y también gestionar adecuadamente las órdenes de purgar («purge») y borrar del registro («unregister»).

-ftipo, --frontend=tipo
    Selecciona la interfaz a usar.

-pvalor, --priority=valor
    Define la prioridad mínima de las preguntas que se mostrarán.

--terse
    Activa el modo de salida abreviado. Esto sólo afecta a algunas interfaces.

EJEMPLOS
Puede usar lo siguiente para depurar un script de intérprete de órdenes que use debconf:

 DEBCONF_DEBUG=developer debconf mi-script-de-consola

O puede usar lo siguiente:

 debconf --frontend=readline sh -x mi-script-de-consola

VÉASE TAMBIÉN
debconf-devel(7), debconf(7)

AUTOR
Joey Hess <joeyh@debian.org>

TRADUCCIÓN
Omar Campagne Polaino <ocampagne@gmail.com>, 2010

Si encuentra un fallo en la traducción, por favor, informe de ello en la lista de traducción <debian-l10n-spanish@lists.debian.org>.